Subject: Re: bug#66647: Installation of RPMs produced by ‘guix pack’ is super slow
From: Maxim Cournoyer <[email-masked]>
To: Simon Tournier <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, GNU Debbugs <[email-masked]>, [email-masked]
Date: Mon, 23 Oct 2023 10:37:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 66647 + moreinfo unreproducible
thanks

Hi,

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On Sun, 22 Oct 2023 at 21:35, Maxim Cournoyer <[email-masked]> wrote:
>
>> --8<---------------cut here---------------start------------->8---
>
> [...]
>
>> [user@fedora Downloads]$ sudo time rpm -i 7m01b0308z5y2pmyn8ywzdj914dxawsl-gmsh-rpm-pack.rpm
>> 17.26user 10.19system 0:42.31elapsed 64%CPU (0avgtext+0avgdata 24468maxresident)k
>> 1481136inputs+2177344outputs (19major+6242minor)pagefaults 0swaps
>>
>> [user@fedora Downloads]$ rpm --version
>> RPM version 4.18.0
>> --8<---------------cut here---------------end--------------->8---
>
> These days I am doing some experiments with CentOS7 (rpm 4.11.8), so I
> have a virtualbox VM around.  Attached the view I get using the pack
> generated with,
>
>     guix pack -f rpm -S /opt/bin=bin -R gmsh
>
> then copied with ’scp’.  Well, I do not have GUI but gmsh seems working.
>
> For me, ’rpm -i’ needs less than 10 seconds.  It installs 88 items if I
> read correctly.

Yeah, a ~600 MiB closure is by no means specially large, should it
shouldn't take 45 minutes unless the IO in the VM is pathologically
slow, or if the old RPM version was struggling with something in our
custom-generated RPMs.  You example shows this is not the case, so I'll
close this with 'moreinfo' and 'unreproducible' tags.

Ludo: feel free to reopen if you can gather more details that would
point at our RPMs being faulty.

-- 
Thanks,
Maxim